Bug 990204 - " Kernel oplocks= no" in smb.conf leads to "Not enough space in disk"
" Kernel oplocks= no" in smb.conf leads to "Not enough space in disk"
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: samba (Show other bugs)
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Raghavendra Talur
Sudhir D
Depends On:
Blocks: 956495
  Show dependency treegraph
Reported: 2013-07-30 10:49 EDT by Susant Kumar Palai
Modified: 2013-09-23 18:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-09-23 18:32:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Susant Kumar Palai 2013-07-30 10:49:26 EDT
Description of problem:

When smb.conf has the option kernel oplocks = no , saving a file on gluster volume from a windows client results in a error with message
"There is not enough space in disk".

How reproducible:

Steps to Reproduce:
1.create a Folder 
2.create a new text file in the folder created
3.rename the text file to any other name 
4.open and edit the text file in notepad
5.Hit Ctrl+S for save and you will see the issue

Expected results:
We should be able to save the file.
Comment 2 Christopher R. Hertel 2013-08-07 18:26:18 EDT
Request from Chris:
Please add a comment to indicate what was done to fix the reported problem.

Request from Program Management:

This bug is in the ON_QA state and is still flagged for rhs-future.  I'm assuming that this is addressed in Big Bend.  If so, please fill in the Internal Whiteboard and apply the appropriate flags, and ack accordingly.
Comment 4 Raghavendra Talur 2013-08-08 07:10:44 EDT


fix this bug. Patches have been merged downstream on Aug2 2013.
Comment 6 Ujjwala 2013-08-08 08:40:36 EDT
Verified on the build - 
glusterfs built on Aug  7 2013 08:02:42

Works fine.
Comment 8 Scott Haines 2013-09-23 18:32:16 EDT
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA. 

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.